Package org.jboss.classfilewriter

## Class ClassField

- java.lang.Object
- - org.jboss.classfilewriter.ClassField

All Implemented Interfaces:
  `WritableEntry`

    public class ClassField
    extends java.lang.Object
    implements WritableEntry

A field in a class

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`int` `getAccessFlags()`
`ClassFile` `getClassFile()`
`java.lang.String` `getDescriptor()`
`java.lang.String` `getName()`
`AnnotationsAttribute` `getRuntimeVisibleAnnotationsAttribute()`
`java.lang.String` `getSignature()`
`int` `hashCode()`
`void` `setSignature​(java.lang.String signature)`
`void` `write​(ByteArrayDataOutputStream stream)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### write

    public void write​(ByteArrayDataOutputStream stream)
               throws java.io.IOException

Specified by:
  `write` in interface `WritableEntry`
Throws:
  `java.io.IOException`

#### getAccessFlags

    public int getAccessFlags()

#### getName

    public java.lang.String getName()

#### getDescriptor

    public java.lang.String getDescriptor()

#### getClassFile

    public ClassFile getClassFile()

#### getSignature

    public java.lang.String getSignature()

#### setSignature

    public void setSignature​(java.lang.String signature)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### getRuntimeVisibleAnnotationsAttribute

    public AnnotationsAttribute getRuntimeVisibleAnnotationsAttribute()